PDA

View Full Version : OK, I give...going to upgrade.



RepublicofTexas
12-20-2007, 04:14 PM
Well I thought BoB would be out sometime this decade but I doubt it. Last I checked I was on version 4.04M. So what do I need to buy to get up to speed?

Urufu_Shinjiro
12-20-2007, 04:17 PM
Do you mean what hardware for a new pc or do you mean what version of il2 to get to current standard? If the latter buy il2:1946 which has everything up till 4.07 and then get the free patch to 4.08.

RepublicofTexas
12-20-2007, 04:26 PM
So just buy 1946 and patch it and I'm good to go?

VW-IceFire
12-20-2007, 04:26 PM
Yep, buy IL-2 1946 and download one patch and you've got absolutely everything thats ever been released...ever. Including the single player campaigns from the IL-2 days. Its a good deal.

RepublicofTexas
12-20-2007, 05:04 PM
Thanks. Where does one get the 4.08m patch?

RxMan
12-20-2007, 05:28 PM
http://patches.ubi.com/il2_1946/